import type { KolFocusOptions } from '../../../schema';
import { BaseController } from '../base-controller';
import type { ControllerInterface, ResolvedInputProps, StateAccess } from '../generic-types';
import type { SkeletonApi } from './api';
export declare class SkeletonController extends BaseController<SkeletonApi> implements ControllerInterface<SkeletonApi> {
    private readonly buttonRef;
    private intervalId?;
    constructor(stateAccess: StateAccess<SkeletonApi>);
    componentWillLoad(props: ResolvedInputProps<SkeletonApi>): void;
    watchName(value?: string): void;
    toggle(): void;
    onKeydown: (event: KeyboardEvent) => void;
    handleClick: () => void;
    focus(options?: KolFocusOptions): void;
    setButtonRef: (element?: HTMLButtonElement) => void;
    private startLoadedEventInterval;
    private emitLoaded;
    private onLoadedCallback?;
    setOnLoadedCallback(callback: (count: number) => void): void;
    destroy(): void;
}
